### Function

# Gimp fonts_get_list

#### Declaration [src]

    gchar**
    gimp_fonts_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieve the list of loaded fonts.

This procedure returns a list of the fonts that are currently available.

#### Parameters

`filter`

  Type: `const gchar*`

  An optional regular expression used to filter the list.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

The list of font names. The returned value must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.